1. Webhook
FOMO API (v20250702)
  • Authorization
  • Webhook
  • API
    • Account
      • Retrieve an account
      • List accounts
    • Balance
      • Retrieve a balance
      • List balances
    • Transaction
      • Retrieve a transaction
      • List transactions
    • Virtual Account
      • Retrieve a virtual account
      • List virtual accounts
    • Beneficiary
      • Beneficiary Acocunt
        • List beneficiary accounts
        • Retrieve a beneficiary account
      • List beneficiaries
      • Retrieve a beneficiary
    • Account Holder
      • Retrieve an account holder
      • List account holders
    • Outgoing Transfer
      • List outgoing transfers
      • Retrieve an outgoing transfer
    • Webhook
      • Retrieve a webhook
        GET
      • List webhooks
        GET
    • Intent
      • Account Holder Creation
        • Create an account holder creation intent
        • Get an account holder creation intent
        • Confirm an account holder creation intent
      • Outgoing Transfer Creation
        • Create an outgoing transfer creation intent
        • Get an outgoing transfer creation intent
        • Confirm an outgoing transfer creation intent
      • Virtual Account Creation
        • Create a virtual account creation intent
        • Set account holder for virtual account creation intent
        • Get a virtual account creation intent
        • Confirm a virtual account creation intent
      • (Deprecated) Virtual Account Update
        • Create a virtual account update intent
        • Set account holder for virtual account update intent
        • Get a virtual account update intent
        • Confirm a virtual account update intent
      • Beneficiary Creation
        • Create a beneficiary creation intent
        • Get a beneficiary creation intent
        • Confirm a beneficiary creation intent
      • Beneficiary Account Creation
        • Create a beneficiary account creation intent
        • Get a beneficiary account creation intent
        • Confirm a beneficiary account creation intent
  1. Webhook

Retrieve a webhook

UAT Env
https://uat.fomoapis.com/v1
UAT Env
https://uat.fomoapis.com/v1
GET
https://uat.fomoapis.com/v1
/webhooks/{webhook_id}

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://uat.fomoapis.com/v1/webhooks/' \
--header 'x-fomo-api-version;'
Response Response Example
{
    "id": "f7b91222-8d53-465a-99df-3ed18afab393",
    "create_time": "2025-12-28T10:10:20.836814+00:00",
    "update_time": "2025-12-28T10:11:00.719943+00:00",
    "token": "97kSIo1TRlqZ3z7Rivqzkw==",
    "etag": "97kSIo1TRlqZ3z7RivqzkwAAAAAAAAAB",
    "enabled": true,
    "customer_id": "725040eb-ed2c-4926-967c-39c8769eb622",
    "name": "test callback v20250702",
    "event_types": [
        "account_holder.created",
        "virtual_account.created",
        "balance.updated",
        "transaction.created",
        "intent.outgoing_transfer_creation.updated",
        "virtual_account.updated",
        "beneficiary_account.updated",
        "beneficiary.created",
        "intent.virtual_account_creation.created",
        "beneficiary_account.created",
        "account.created",
        "intent.account_holder_creation.updated",
        "intent.account_holder_creation.created",
        "account.updated",
        "intent.beneficiary_account_creation.created",
        "intent.outgoing_transfer_creation.created",
        "outgoing_transfer.updated",
        "beneficiary.updated",
        "intent.beneficiary_account_creation.updated",
        "intent.beneficiary_creation.updated",
        "intent.beneficiary_creation.created",
        "outgoing_transfer.created",
        "account_holder.updated",
        "transaction.updated",
        "intent.virtual_account_creation.updated",
        "transaction.deleted",
        "balance.created"
    ],
    "url": "https://example.com/callback/v20250702"
}
Previous
Retrieve an outgoing transfer
Next
List webhooks
Built with